Index: branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp
===================================================================
--- branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 719)
+++ branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 785)
@@ -7054,5 +6837,5 @@
                         r_cleanup_fsm = CLEANUP_MISS_RSP;
                     }
-                    else if ( r_cleanup_ncc.read() )
+                    else if (r_cleanup_ncc.read() )
                     {
                         r_cleanup_fsm = CLEANUP_MISS_IXR_REQ;
@@ -7064,5 +6847,5 @@
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC "      << name()
                             << " CLEANUP_MISS_IVT_CLEAR> Clear entry in IVT:"
@@ -7075,5 +6858,5 @@
                 // wait if pending request to the TGT_RSP FSM
                 {
-                    if(r_cleanup_to_tgt_rsp_req.read()) break;
+                    if (r_cleanup_to_tgt_rsp_req.read()) break;
 
                     // no pending request
@@ -7084,5 +6867,5 @@
                     r_cleanup_to_tgt_rsp_type    = true; 
 
-                    if ( r_cleanup_ncc.read() )
+                    if (r_cleanup_ncc.read() )
                     {
                         r_cleanup_fsm = CLEANUP_MISS_IXR_REQ;
@@ -7094,5 +6877,5 @@
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CLEANUP_MISS_RSP>"
                             << " Send a response to a previous write request: "
@@ -7109,5 +6892,5 @@
                     if (r_alloc_trt_fsm.read() == ALLOC_TRT_CLEANUP)
                     {
-                        if( not r_cleanup_to_ixr_cmd_req.read())
+                        if (not r_cleanup_to_ixr_cmd_req.read())
                         {
                             size_t index = 0;
@@ -7147,5 +6930,5 @@
                             r_cleanup_fsm               = CLEANUP_SEND_CLACK;
 #if DEBUG_MEMC_CLEANUP
-                            if(m_debug)
+                            if (m_debug)
                             {
                                 std::cout
@@ -7161,5 +6944,5 @@
                             r_cleanup_fsm = CLEANUP_WAIT;
 #if DEBUG_MEMC_CLEANUP
-                            if(m_debug)
+                            if (m_debug)
                             {
                                 std::cout
@@ -7186,10 +6969,10 @@
                 // on the coherence CLACK network.
                 {
-                    if(not p_dspin_clack.read) break;
+                    if (not p_dspin_clack.read) break;
 
                     r_cleanup_fsm = CLEANUP_IDLE;
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name()
                             << " CLEANUP_SEND_CLACK> Send the response to a cleanup request:"
@@ -7233,9 +7016,9 @@
             case CAS_IDLE:     // fill the local rdata buffers
                 {
-                    if(m_cmd_cas_addr_fifo.rok())
+                    if (m_cmd_cas_addr_fifo.rok())
                     {
 
 #if DEBUG_MEMC_CAS
-                        if(m_debug)
+                        if (m_debug)
                         {
                             std::cout << "  <MEMC " << name() << " CAS_IDLE> CAS command: " << std::hex
@@ -7247,5 +7030,5 @@
                         }
 #endif
-                        if(m_cmd_cas_eop_fifo.read())
+                        if (m_cmd_cas_eop_fifo.read())
                         {
                             r_cas_fsm = CAS_DIR_REQ;
@@ -7256,8 +7039,8 @@
                         }
                         // We fill the two buffers
-                        if(r_cas_cpt.read() < 2)    // 32 bits access
+                        if (r_cas_cpt.read() < 2)    // 32 bits access
                             r_cas_rdata[r_cas_cpt.read()] = m_cmd_cas_wdata_fifo.read();
 
-                        if((r_cas_cpt.read() == 1) and m_cmd_cas_eop_fifo.read())
+                        if ((r_cas_cpt.read() == 1) and m_cmd_cas_eop_fifo.read())
                             r_cas_wdata = m_cmd_cas_wdata_fifo.read();
 
@@ -7265,5 +7048,5 @@
                                 "MEMC ERROR in CAS_IDLE state: illegal CAS command");
 
-                        if(r_cas_cpt.read() ==2)
+                        if (r_cas_cpt.read() ==2)
                             r_cas_wdata = m_cmd_cas_wdata_fifo.read();
 
@@ -7276,12 +7059,11 @@
             case CAS_DIR_REQ:
                 {
-                    if(r_alloc_dir_fsm.read() == ALLOC_DIR_CAS)
+                    if (r_alloc_dir_fsm.read() == ALLOC_DIR_CAS)
                     {
                         r_cas_fsm = CAS_DIR_LOCK;
-                        m_cpt_cas_fsm_n_dir_lock++;
                     }
 
 #if DEBUG_MEMC_CAS
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout
@@ -7290,7 +7072,4 @@
                     }
 #endif
-
-                    m_cpt_cas_fsm_dir_lock++;
-
                     break;
                 }
@@ -7315,10 +7094,9 @@
                     r_cas_count      = entry.count;
                     
-                    if(entry.state == ENTRY_LOCKED)  
+                    if (entry.state == ENTRY_LOCKED)  
                     {
                         r_cas_fsm = CAS_WAIT;
-                        m_cpt_cas_locked_rb ++;
-                    }
-                    else if(entry.state == ENTRY_INVALID)  
+                    }
+                    else if (entry.state == ENTRY_INVALID)  
                     {
                         r_cas_fsm = CAS_MISS_TRT_LOCK;
@@ -7329,5 +7107,5 @@
                     }
 #if DEBUG_MEMC_CAS
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout << "  <MEMC " << name() << " CAS_DIR_LOCK> Directory acces"
@@ -7367,5 +7145,5 @@
 
 #if DEBUG_MEMC_CAS
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CAS_DIR_HIT_READ> Read data from "
                             << " cache and store it in buffer" << std::endl;
@@ -7381,5 +7159,5 @@
                     bool ok = (r_cas_rdata[0].read() == r_cas_data[word].read());
 
-                    if(r_cas_cpt.read() == 4)     // 64 bits CAS
+                    if (r_cas_cpt.read() == 4)     // 64 bits CAS
                         ok &= (r_cas_rdata[1] == r_cas_data[word+1]);
 
@@ -7389,5 +7167,5 @@
 
                     // cas success
-                    if(ok and not forced_fail)
+                    if (ok and not forced_fail)
                     {
                         r_cas_fsm = CAS_DIR_HIT_WRITE;
@@ -7400,5 +7178,5 @@
 
 #if DEBUG_MEMC_CAS
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CAS_DIR_HIT_COMPARE> Compare the old"
                             << " and the new data"
@@ -7420,7 +7198,7 @@
 
                     // test coherence request
-                    if(r_cas_count.read())   // replicated line
-                    {
-                        if(r_cas_count.read() == 1 and r_cas_state.read() == ENTRY_SHARED and r_cas_copy.read() == m_cmd_cas_srcid_fifo.read())
+                    if (r_cas_count.read())   // replicated line
+                    {
+                        if (r_cas_count.read() == 1 and r_cas_state.read() == ENTRY_SHARED and r_cas_copy.read() == m_cmd_cas_srcid_fifo.read())
                         {
                             DirectoryEntry entry;
@@ -7442,5 +7220,5 @@
                             // cache update
                             m_cache_data.write(way, set, word, r_cas_wdata.read());
-                            if(r_cas_cpt.read() == 4)
+                            if (r_cas_cpt.read() == 4)
                                 m_cache_data.write(way, set, word+1, m_cmd_cas_wdata_fifo.read());
 
@@ -7452,5 +7230,5 @@
                             r_cas_fsm = CAS_INVAL_IVT_LOCK;       // multi invalidate required
 #if DEBUG_MEMC_CAS
-                            if(m_debug)
+                            if (m_debug)
                                 std::cout << "  <MEMC " << name() << " CAS_DIR_HIT_WRITE>"
                                     << " Multi Inval required" 
@@ -7467,5 +7245,5 @@
                         // cache update
                         m_cache_data.write(way, set, word, r_cas_wdata.read());
-                        if(r_cas_cpt.read() == 4)
+                        if (r_cas_cpt.read() == 4)
                             m_cache_data.write(way, set, word+1, m_cmd_cas_wdata_fifo.read());
 
@@ -7473,5 +7251,5 @@
 
 #if DEBUG_MEMC_CAS
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " CAS_DIR_HIT_WRITE> Update cache:"
                                 << " way = " << std::dec << way
@@ -7490,5 +7268,5 @@
                 // releases locks to retry later if ivt full
                 {
-                    if(r_alloc_ivt_fsm.read() == ALLOC_IVT_CAS  and 
+                    if (r_alloc_ivt_fsm.read() == ALLOC_IVT_CAS  and 
                         not r_cas_to_cc_send_multi_req.read()   and
                         not r_cas_to_cc_send_brdcast_req.read() and 
@@ -7513,5 +7291,5 @@
                                         false,   // is a command write
                                         index);
-                        if(wok)   // coherence transaction registered in ivt
+                        if (wok)   // coherence transaction registered in ivt
                         {
                             // cache update
@@ -7538,14 +7316,9 @@
                             m_cache_data.write(way, set, word, r_cas_wdata.read());
 
-                            if(r_cas_cpt.read() == 4)
+                            if (r_cas_cpt.read() == 4)
                                 m_cache_data.write(way, set, word+1, m_cmd_cas_wdata_fifo.read());
 
-                            if(r_cas_is_cnt.read())
-                                m_cpt_cas_broadcast ++;
-                            else
-                                m_cpt_cas_minval ++;
-
                             //r_cas_ivt_index = index;
-                            if((r_cas_count.read() != 1) and not r_cas_is_cnt.read())
+                            if ((r_cas_count.read() != 1) and not r_cas_is_cnt.read())
                             {
                                 r_cas_fsm = CAS_MULTI_INVAL_HEAP_LOCK;
@@ -7555,5 +7328,5 @@
                                 assert(not r_cas_copy_inst.read() && "cas fsm: cas has a copy inst");
 
-                                if(not r_cas_is_cnt.read())
+                                if (not r_cas_is_cnt.read())
                                 {
                                     cas_to_cc_send_fifo_put       = true;
@@ -7574,5 +7347,5 @@
                             }
 #if DEBUG_MEMC_CAS
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name()
                                 << " CAS_INVAL_IVT_LOCK> Line is locked"
@@ -7597,5 +7370,5 @@
 
 #if DEBUG_MEMC_CAS
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout << "  <MEMC " << name()
@@ -7609,9 +7382,9 @@
             case CAS_MULTI_INVAL_HEAP_LOCK:  // lock the heap
                 {
-                    if(r_alloc_heap_fsm.read() == ALLOC_HEAP_CAS)
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_CAS)
                     {
 
 #if DEBUG_MEMC_CAS
-                        if(m_debug)
+                        if (m_debug)
                         {
                             std::cout << "  <MEMC " << name()
@@ -7620,9 +7393,5 @@
 #endif
                         r_cas_fsm = CAS_MULTI_INVAL_REQ;
-                        m_cpt_cas_fsm_n_heap_lock++;
-                    }
-
-                    m_cpt_cas_fsm_heap_lock++;
-
+                    }
                     break;
                 }
@@ -7635,5 +7404,5 @@
                     assert(not r_cas_copy_inst.read() && "cas fsm: cas has a copy inst");
 
-                    if(not r_cas_to_cc_send_multi_req.read() and not r_cas_to_cc_send_brdcast_req.read())
+                    if (not r_cas_to_cc_send_multi_req.read() and not r_cas_to_cc_send_brdcast_req.read())
                     {
                         r_cas_next_ptr                = r_cas_ptr.read();
@@ -7644,5 +7413,5 @@
                         cas_to_cc_send_fifo_srcid     = r_cas_copy.read();
                         // We put the first copy in the fifo
-                        if(r_cas_count.read() == 1)  // one single copy
+                        if (r_cas_count.read() == 1)  // one single copy
                         {
                             assert( false && "it should be more than one copies in cas_multi_inval_req!!!!");
@@ -7654,5 +7423,5 @@
 
 #if DEBUG_MEMC_CAS
-                        if(m_debug)
+                        if (m_debug)
                         {
                             std::cout << "  <MEMC " << name() << " CAS_MULTI_INVAL_REQ> Send the first update request to CC_SEND FSM "
@@ -7680,5 +7449,5 @@
                     assert(not entry.owner.inst && "cas fsm: cas has a copy inst");
 
-                    if(m_cas_to_cc_send_inst_fifo.wok())   // request accepted by CC_SEND FSM
+                    if (m_cas_to_cc_send_inst_fifo.wok())   // request accepted by CC_SEND FSM
                     {   
                         cas_to_cc_send_fifo_srcid    = entry.owner.srcid;
@@ -7686,5 +7455,5 @@
                         cas_to_cc_send_fifo_put      = true;
                         r_cas_next_ptr               = entry.next;
-                        if(entry.next == r_cas_next_ptr.read())    // last copy
+                        if (entry.next == r_cas_next_ptr.read())    // last copy
                         {
                             r_cas_to_cc_send_multi_req  = true;
@@ -7693,5 +7462,5 @@
                     }
 #if DEBUG_MEMC_CAS
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout << "  <MEMC " << name() << " CAS_HEAP_NEXT> Send the next update request to CC_SEND FSM "
@@ -7707,5 +7476,5 @@
             case CAS_HEAP_LAST:  // last copy
                 {
-                    if(r_alloc_heap_fsm.read() != ALLOC_HEAP_CAS)
+                    if (r_alloc_heap_fsm.read() != ALLOC_HEAP_CAS)
                     {
                         std::cout << "VCI_MEM_CACHE ERROR " << name() << " CAS_HEAP_LAST"
@@ -7718,5 +7487,5 @@
                     last_entry.owner.srcid    = 0;
                     last_entry.owner.inst     = false;
-                    if(m_heap.is_full())
+                    if (m_heap.is_full())
                     {
                         last_entry.next     = r_cas_next_ptr.read();
@@ -7736,5 +7505,5 @@
  
 #if DEBUG_MEMC_XRAM_RSP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CAS_HEAP_LAST>"
                             << " Heap housekeeping" << std::endl;
@@ -7745,5 +7514,5 @@
             case CAS_RSP_FAIL:  // request TGT_RSP FSM to send a failure response
                 {
-                    if( not r_cas_to_tgt_rsp_req.read() )
+                    if (not r_cas_to_tgt_rsp_req.read() )
                     {
                         cmd_cas_fifo_get       = true;
@@ -7757,5 +7526,5 @@
 
 #if DEBUG_MEMC_CAS
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name()
                                 << " CAS_RSP_FAIL> Request TGT_RSP to send a failure response" << std::endl;
@@ -7767,5 +7536,5 @@
             case CAS_RSP_SUCCESS:  // request TGT_RSP FSM to send a success response
                 {
-                    if( not r_cas_to_tgt_rsp_req.read() )
+                    if (not r_cas_to_tgt_rsp_req.read() )
                     {
                         cmd_cas_fifo_get       = true;
@@ -7779,5 +7548,5 @@
 
 #if DEBUG_MEMC_CAS
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name()
                                 << " CAS_RSP_SUCCESS> Request TGT_RSP to send a success response" << std::endl;
@@ -7789,5 +7558,5 @@
             case CAS_MISS_TRT_LOCK:         // cache miss : request access to transaction Table
                 {
-                    if(r_alloc_trt_fsm.read() == ALLOC_TRT_CAS)
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_CAS)
                     {
                         size_t   index = 0;
@@ -7799,5 +7568,5 @@
 
 #if DEBUG_MEMC_CAS
-                        if(m_debug)
+                        if (m_debug)
                         {
                             std::cout << "  <MEMC " << name() << " CAS_MISS_TRT_LOCK> Check TRT state"
@@ -7809,5 +7578,5 @@
 #endif
 
-                        if(hit_read or !wok or hit_write)    // missing line already requested or no space in TRT
+                        if (hit_read or !wok or hit_write)    // missing line already requested or no space in TRT
                         {
                             r_cas_fsm = CAS_WAIT;
@@ -7817,11 +7586,6 @@
                             r_cas_trt_index = index;
                             r_cas_fsm       = CAS_MISS_TRT_SET;
-                            m_cpt_cas_miss ++;
-                        }
-                        m_cpt_cas_fsm_n_trt_lock++;
-                    }
-
-                    m_cpt_cas_fsm_trt_lock++;
-
+                        }
+                    }
                     break;
                 }
@@ -7856,5 +7620,5 @@
 
 #if DEBUG_MEMC_CAS
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout << "  <MEMC " << name() << " CAS_MISS_TRT_SET> Register a GET transaction in TRT" << std::hex
@@ -7868,5 +7632,5 @@
             case CAS_MISS_XRAM_REQ:  // request the IXR_CMD FSM to fetch the missing line
                 {
-                    if( not r_cas_to_ixr_cmd_req.read() )
+                    if (not r_cas_to_ixr_cmd_req.read() )
                     {
                         r_cas_to_ixr_cmd_req        = true;
@@ -7875,5 +7639,5 @@
 
 #if DEBUG_MEMC_CAS
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " CAS_MISS_XRAM_REQ> Request a GET transaction"
                                 << " / address = " << std::hex << (addr_t) m_cmd_cas_addr_fifo.read()
@@ -7923,5 +7687,5 @@
                                               m_read_to_cc_send_srcid_fifo.read() == r_cleanup_to_tgt_rsp_srcid.read();
                     // XRAM_RSP
-                    if(m_xram_rsp_to_cc_send_inst_fifo.rok() or
+                    if (m_xram_rsp_to_cc_send_inst_fifo.rok() or
                             r_xram_rsp_to_cc_send_multi_req.read())
                     {
@@ -7929,5 +7693,5 @@
                         break;
                     }
-                    if(r_xram_rsp_to_cc_send_brdcast_req.read())
+                    if (r_xram_rsp_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_XRAM_RSP_BRDCAST_HEADER;
@@ -7935,5 +7699,5 @@
                     }
                     // CAS
-                    if(m_cas_to_cc_send_inst_fifo.rok() or
+                    if (m_cas_to_cc_send_inst_fifo.rok() or
                             r_cas_to_cc_send_multi_req.read())
                     {
@@ -7941,5 +7705,5 @@
                         break;
                     }
-                    if(r_cas_to_cc_send_brdcast_req.read())
+                    if (r_cas_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CAS_BRDCAST_HEADER;
@@ -7948,5 +7712,5 @@
 
                     // READ
-                    if((m_read_to_cc_send_inst_fifo.rok() or 
+                    if ((m_read_to_cc_send_inst_fifo.rok() or 
                             r_read_to_cc_send_multi_req.read()) and not cc_send_updt_delay)
                     {
@@ -7954,5 +7718,5 @@
                         break;
                     }
-                    if(r_read_to_cc_send_brdcast_req.read())
+                    if (r_read_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_READ_BRDCAST_HEADER;
@@ -7961,5 +7725,5 @@
 
                     // WRITE
-                    if(m_write_to_cc_send_inst_fifo.rok() or
+                    if (m_write_to_cc_send_inst_fifo.rok() or
                             r_write_to_cc_send_multi_req.read())
                     {
@@ -7967,5 +7731,5 @@
                         break;
                     }
-                    if(r_write_to_cc_send_brdcast_req.read())
+                    if (r_write_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_WRITE_BRDCAST_HEADER;
@@ -7973,10 +7737,10 @@
                     }
                     // CONFIG
-                    if(r_config_to_cc_send_multi_req.read())
+                    if (r_config_to_cc_send_multi_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CONFIG_INVAL_HEADER;
                         break;
                     }
-                    if(r_config_to_cc_send_brdcast_req.read())
+                    if (r_config_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CONFIG_BRDCAST_HEADER;
@@ -7992,10 +7756,10 @@
                                               m_read_to_cc_send_srcid_fifo.read() == r_cleanup_to_tgt_rsp_srcid.read();
                     // CONFIG
-                    if(r_config_to_cc_send_multi_req.read())
+                    if (r_config_to_cc_send_multi_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CONFIG_INVAL_HEADER;
                         break;
                     }
-                    if(r_config_to_cc_send_brdcast_req.read())
+                    if (r_config_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CONFIG_BRDCAST_HEADER;
@@ -8003,5 +7767,5 @@
                     }
                     // XRAM_RSP
-                    if(m_xram_rsp_to_cc_send_inst_fifo.rok() or
+                    if (m_xram_rsp_to_cc_send_inst_fifo.rok() or
                             r_xram_rsp_to_cc_send_multi_req.read())
                     {
@@ -8009,5 +7773,5 @@
                         break;
                     }
-                    if(r_xram_rsp_to_cc_send_brdcast_req.read())
+                    if (r_xram_rsp_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_XRAM_RSP_BRDCAST_HEADER;
@@ -8015,5 +7779,5 @@
                     }
                     // CAS
-                    if(m_cas_to_cc_send_inst_fifo.rok() or
+                    if (m_cas_to_cc_send_inst_fifo.rok() or
                             r_cas_to_cc_send_multi_req.read())
                     {
@@ -8021,5 +7785,5 @@
                         break;
                     }
-                    if(r_cas_to_cc_send_brdcast_req.read())
+                    if (r_cas_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CAS_BRDCAST_HEADER;
@@ -8027,5 +7791,5 @@
                     }
                     // READ
-                    if((m_read_to_cc_send_inst_fifo.rok() or 
+                    if ((m_read_to_cc_send_inst_fifo.rok() or 
                             r_read_to_cc_send_multi_req.read()) and not cc_send_updt_delay)
                     {
@@ -8033,5 +7797,5 @@
                         break;
                     }
-                    if(r_read_to_cc_send_brdcast_req.read())
+                    if (r_read_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_READ_BRDCAST_HEADER;
@@ -8039,5 +7803,5 @@
                     }
                     // WRITE
-                    if(m_write_to_cc_send_inst_fifo.rok() or
+                    if (m_write_to_cc_send_inst_fifo.rok() or
                             r_write_to_cc_send_multi_req.read())
                     {
@@ -8045,5 +7809,5 @@
                         break;
                     }
-                    if(r_write_to_cc_send_brdcast_req.read())
+                    if (r_write_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_WRITE_BRDCAST_HEADER;
@@ -8059,5 +7823,5 @@
                                               m_read_to_cc_send_srcid_fifo.read() == r_cleanup_to_tgt_rsp_srcid.read();
                     // CAS
-                    if(m_cas_to_cc_send_inst_fifo.rok() or
+                    if (m_cas_to_cc_send_inst_fifo.rok() or
                             r_cas_to_cc_send_multi_req.read())
                     {
@@ -8065,5 +7829,5 @@
                         break;
                     }
-                    if(r_cas_to_cc_send_brdcast_req.read())
+                    if (r_cas_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CAS_BRDCAST_HEADER;
@@ -8071,5 +7835,5 @@
                     }
                     // READ
-                    if((m_read_to_cc_send_inst_fifo.rok() or 
+                    if ((m_read_to_cc_send_inst_fifo.rok() or 
                             r_read_to_cc_send_multi_req.read()) and not cc_send_updt_delay)
                     {
@@ -8077,5 +7841,5 @@
                         break;
                     }
-                    if(r_read_to_cc_send_brdcast_req.read())
+                    if (r_read_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_READ_BRDCAST_HEADER;
@@ -8083,5 +7847,5 @@
                     }
                     //WRITE
-                    if(m_write_to_cc_send_inst_fifo.rok() or
+                    if (m_write_to_cc_send_inst_fifo.rok() or
                             r_write_to_cc_send_multi_req.read())
                     {
@@ -8089,5 +7853,5 @@
                         break;
                     }
-                    if(r_write_to_cc_send_brdcast_req.read())
+                    if (r_write_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_WRITE_BRDCAST_HEADER;
@@ -8095,10 +7859,10 @@
                     }
                     // CONFIG
-                    if(r_config_to_cc_send_multi_req.read())
+                    if (r_config_to_cc_send_multi_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CONFIG_INVAL_HEADER;
                         break;
                     }
-                    if(r_config_to_cc_send_brdcast_req.read())
+                    if (r_config_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CONFIG_BRDCAST_HEADER;
@@ -8106,5 +7870,5 @@
                     }
                     // XRAM_RSP
-                    if(m_xram_rsp_to_cc_send_inst_fifo.rok() or
+                    if (m_xram_rsp_to_cc_send_inst_fifo.rok() or
                             r_xram_rsp_to_cc_send_multi_req.read())
                     {
@@ -8112,5 +7876,5 @@
                         break;
                     }
-                    if(r_xram_rsp_to_cc_send_brdcast_req.read())
+                    if (r_xram_rsp_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_XRAM_RSP_BRDCAST_HEADER;
@@ -8126,5 +7890,5 @@
                                               m_read_to_cc_send_srcid_fifo.read() == r_cleanup_to_tgt_rsp_srcid.read();
                     // READ
-                    if((m_read_to_cc_send_inst_fifo.rok() or 
+                    if ((m_read_to_cc_send_inst_fifo.rok() or 
                             r_read_to_cc_send_multi_req.read()) and not cc_send_updt_delay)
                     {
@@ -8132,5 +7896,5 @@
                         break;
                     }
-                    if(r_read_to_cc_send_brdcast_req.read())
+                    if (r_read_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_READ_BRDCAST_HEADER;
@@ -8138,5 +7902,5 @@
                     }
                     //WRITE
-                    if(m_write_to_cc_send_inst_fifo.rok() or
+                    if (m_write_to_cc_send_inst_fifo.rok() or
                             r_write_to_cc_send_multi_req.read())
                     {
@@ -8144,5 +7908,5 @@
                         break;
                     }
-                    if(r_write_to_cc_send_brdcast_req.read())
+                    if (r_write_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_WRITE_BRDCAST_HEADER;
@@ -8150,10 +7914,10 @@
                     }
                     // CONFIG
-                    if(r_config_to_cc_send_multi_req.read())
+                    if (r_config_to_cc_send_multi_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CONFIG_INVAL_HEADER;
                         break;
                     }
-                    if(r_config_to_cc_send_brdcast_req.read())
+                    if (r_config_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CONFIG_BRDCAST_HEADER;
@@ -8161,5 +7925,5 @@
                     }
                     //xram
-                    if(m_xram_rsp_to_cc_send_inst_fifo.rok() or
+                    if (m_xram_rsp_to_cc_send_inst_fifo.rok() or
                             r_xram_rsp_to_cc_send_multi_req.read())
                     {
@@ -8167,5 +7931,5 @@
                         break;
                     }
-                    if(r_xram_rsp_to_cc_send_brdcast_req.read())
+                    if (r_xram_rsp_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_XRAM_RSP_BRDCAST_HEADER;
@@ -8173,5 +7937,5 @@
                     }
                     //cas
-                    if(m_cas_to_cc_send_inst_fifo.rok() or
+                    if (m_cas_to_cc_send_inst_fifo.rok() or
                             r_cas_to_cc_send_multi_req.read())
                     {
@@ -8179,5 +7943,5 @@
                         break;
                     }
-                    if(r_cas_to_cc_send_brdcast_req.read())
+                    if (r_cas_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CAS_BRDCAST_HEADER;
@@ -8193,5 +7957,5 @@
                                               m_read_to_cc_send_srcid_fifo.read() == r_cleanup_to_tgt_rsp_srcid.read();
                     //WRITE
-                    if(m_write_to_cc_send_inst_fifo.rok() or
+                    if (m_write_to_cc_send_inst_fifo.rok() or
                             r_write_to_cc_send_multi_req.read())
                     {
@@ -8199,5 +7963,5 @@
                         break;
                     }
-                    if(r_write_to_cc_send_brdcast_req.read())
+                    if (r_write_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_WRITE_BRDCAST_HEADER;
